/*
 * mtz2hkl - convert mtz-file to shelx HKL format
 * Copyright (C) 2008 Tim Gruene
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "myExcepts.h"
#include "defines.h"

const char* myExcepts::ProgError::what() const throw()
{
	std::ostringstream wii;
	wii << " *** Fatal Error ***\n"
	    << "     This error is due to a bug in the program.\n"
	    << "     Please inform the Author " << Defs::Author::name << "\n" 
	    << "     by sedning an email to " << Defs::Author::email << "\n"
	    << "     Stating the following error message:\n"
	    << "     " << msg_ << "\n";
	return wii.str().c_str();	
}
