#ifndef UTILS_H
#define UTILS_H

/*
 * mtz2hkl - convert mtz-file to shelx HKL format
 * Copyright (C) 2008 Tim Gruene
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


/**
 * \file utils.h
 * \date 20/5/2007
 * \author Tim Gruene
 *
 * Utility functions used by serveral classes
 */
#include <string>
 
namespace Utils {
 	namespace String {
 		//! make all characters lower case
 		std::string lowerCase (const std::string& word);
 	} // end of namespace String
}    // end of namespace Utils


#endif // UTILS_H
